%define prefix /usr
%define name lxmed
%define version 20120515
%define release %mkrel 1
%define url http://sourceforge.net/projects/lxmed

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		Graphical desktop/LXDE
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Main Menu Editor for LXDE. Written in Java.
Summary(de):	Main Menu Editor für LXDE. Geschrieben in Java.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	java
Requires:	java
Obsoletes:	%name < %version

%description
lxmed is a small, simple, free, open source, easy to use 
application that allows you to customize the LXDE menu.

lxmed is very useful for people that want to create 
their own, customized menus for LXDE.

lxmed is written in the Java programming language.

#german
%description -l de
lxmed ist ein kleines, einfaches, kostenloses, Open Source, 
Anwendung, mit dem Sie das LXDE-Menü anpassen können.

lxmed ist sehr nützlich für Leute, die ihre eigene, 
individuelle Menüs für LXDE erstellen möchten.

lxmed ist in der Programmiersprache Java geschrieben.

%prep

%setup -q -n %{name}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_bindir}
#install -m 755 content/%{name} $RPM_BUILD_ROOT%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/bash
# Notice:
# this is a simple script, to start lxmed with root privilegs.
# Created by D.Meiß-Wilhelm (leiche) for PCLinuxOS-LXDE 2012
# Copyright by Bill Reynolds (Texstar)
#
gksu 'java -jar /opt/lxmed/LXMenuEditor.jar'  
EOF
%__chmod 777 %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}/opt/%{name}
cp -v content/LXMenuEditor.jar %{buildroot}/opt/%{name}
cp -v content/lxmed.png %{buildroot}/opt/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=lxmed
Icon=/opt/lxmed/lxmed.png
Type=Application
Terminal=false
Name=Main Menu Editor
Name[de]=Startmenü Editor
GenericName=Main Menu Editor
GenericName[de]=Startmenü Editor
Comment=Main Menu Editor for LXDE
Comment[de]=Startmenü Editor für LXDE
StartupNotify=false
Categories=Settings;DesktopSettings;X-LXDE-Settings;X-MandrivaLinux-System-Configuration-Other;
EOF

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
/opt/%{name}
%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Wed Dec 26 2012 daniel <meisssw01 at gmail.com> 20120515-1leiche2012
- upstream tarball

* Thu Oct 13 2011 leiche <meisssw01 at aol.com> 20110717-1leiche2011
- Initial package 
